//Make a script wait for the ACM to initialize.
waitUntil {!isNil {BIS_ACM getVariable "initDone"}};
waitUntil {BIS_ACM getVariable "initDone"};

//Sets frequency and number of patrols (values 0-1). BIS_ACM is module name. 
[1, BIS_ACM] call BIS_ACM_setIntensityFunc;

//spawn distance
[BIS_ACM, 800, 2500] call BIS_ACM_setSpawnDistanceFunc;

//skill range
[0.5, 1, BIS_ACM] call BIS_ACM_setSkillFunc;

//ammo setup
[0.5, 0.8, BIS_ACM] call BIS_ACM_setAmmoFunc;

//FACTIONS
//Pick from: "USMC", "CDF", "RU", "INS", "GUE".
[["INS","CDF","RU"], BIS_ACM] call BIS_ACM_setFactionsFunc;

//Group Types
//You can pass both actual CfgGroups Config entries or class name Strings.
//[<ACM reference | Object>, <types | Array of Configs and / or Strings>] call BIS_ACM_addGroupClassesFunc;

//Passing an empty types Array will completely disable the custom database and switch back to the default.
//[<ACM reference | Object>, <types | Array of Configs and / or Strings>] call BIS_ACM_removeGroupClassesFunc;

//blackList area
//When passing Arrays, these should contain the top-left and bottom-right coordinates.
//[BIS_ACM, Staroye] call BIS_ACM_blacklistAreaFunc;

//patrol types -1 remove patrol
["ground_patrol", 1, BIS_ACM] call BIS_ACM_setTypeChanceFunc;
["air_patrol", 0.01, BIS_ACM] call BIS_ACM_setTypeChanceFunc;
