/*
CENT_HCS v1.0
FILE NAME:	cent_HCS_init.sqf
LAST UPDATE: 	2009r0730
USAGE: 		[HCLeader,[GroupNames]] execVM "cent_HCS\cent_HCS_init.sqf";
PARAMETERS: 	HCLeader -> Object/Unit. Usually the player
		GroupNames->Array of Strings. First string is always the name for the HC leader. Use to give callsigns/names for the groups in HC mode
EXAMPLE: 	nul=[this,["1-1","1-1A","1-1B","1-1C"]] execVM "cent_HCS\cent_HCS_init.sqf"; 

*/
sleep 0.1;

_HCLeader=_this select 0;
_HCGroupName=_this select 1;

_HCLeader hcSetGroup [group _HCLeader];
(group _HCLeader) setGroupID [_HCGroupName select 0,""];
_HCGroups=HCAllGroups _HCLeader;

for [{_x=0},{_x<(count _HCGroups)},{_x=_x+1}] do {
	_newGrp=_HCGroups select _x;
	//player sideChat format["%1",_newGrp];
	if(leader _newGrp != _HCLeader) then{
		_team=_HCGroupName select _x+1;
		_HCLeader hcSetGroup [_newGrp];
		_newGrp setGroupID [_team,""];
		_newGrp enableAttack false;
	};
};

_HCLeader addAction ["Regroup Platoon", "cent_HCS\cent_HCS_join.sqf",[_HCLeader,_HCGroups,_HCGroupName],6,false,true];
[] execVM "cent_HCS\cent_HCS_commsMenu.sqf";